Bug 737259 - libglapi doesn't properly link to selinux
Summary: libglapi doesn't properly link to selinux
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 15
Hardware: i386
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 771125 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-10 11:28 UTC by Hendrik Richter
Modified: 2012-08-07 14:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 14:45:40 UTC


Attachments (Terms of Use)
Patch for mesa configure.ac which adds $SELINUX_LIBS in correct places (1.05 KB, patch)
2012-04-10 22:33 UTC, Jef Spaleta
no flags Details | Diff
Updated spec file which uses the proposed patch (21.66 KB, text/x-rpm-spec)
2012-04-10 22:34 UTC, Jef Spaleta
no flags Details

Description Hendrik Richter 2011-09-10 11:28:58 UTC
$ ldd -r /usr/lib/libglapi.so
	linux-gate.so.1 =>  (0x0092f000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00430000)
	libc.so.6 => /lib/libc.so.6 (0x005cb000)
	/lib/ld-linux.so.2 (0x4c59a000)
undefined symbol: security_get_boolean_active	(/usr/lib/libglapi.so)
undefined symbol: is_selinux_enabled	(/usr/lib/libglapi.so)
undefined symbol: security_get_boolean_pending	(/usr/lib/libglapi.so)

$ yum list installed | grep mesa
mesa-dri-drivers.i686              7.11-1.fc15                  @updates        
mesa-dri-filesystem.i686           7.11-1.fc15                  @updates        
mesa-dri-llvmcore.i686             7.11-0.16.20110709.0.fc15    @updates        
mesa-libEGL.i686                   7.11-1.fc15                  @updates        
mesa-libEGL-devel.i686             7.11-1.fc15                  @updates        
mesa-libGL.i686                    7.11-1.fc15                  @updates        
mesa-libGL-devel.i686              7.11-1.fc15                  @updates        
mesa-libGLES.i686                  7.11-1.fc15                  @updates        
mesa-libGLES-devel.i686            7.11-1.fc15                  @updates        
mesa-libGLU.i686                   7.11-1.fc15                  @updates        
mesa-libGLU-devel.i686             7.11-1.fc15                  @updates        
mesa-libGLw.i686                   6.5.1-9.fc15                 @fedora         
mesa-libGLw-devel.i686             6.5.1-9.fc15                 @fedora  

This has also happened some time ago and was fixed in 383471, but now it seems to plague us again.

Comment 1 Adam Jackson 2012-01-03 19:16:04 UTC
*** Bug 771125 has been marked as a duplicate of this bug. ***

Comment 2 Corey Richardson (:Octayn) 2012-04-10 21:46:12 UTC
This bug still exists in F16, and the fix from 383471 is still in-place upstream. I'll get to the bottom of this after some sleep.

Comment 3 Corey Richardson (:Octayn) 2012-04-10 22:06:44 UTC
http://cgit.freedesktop.org/mesa/mesa/tree/configure.ac?h=7.11#n922

Bug 383471 shouldn't have fixed anything with libglapi. We're testing adding $SELINUX_LIBS to that variable and seeing what happens.

Comment 4 Jef Spaleta 2012-04-10 22:33:36 UTC
Created attachment 576624 [details]
Patch for mesa configure.ac which adds $SELINUX_LIBS in correct places

This patch appears to produce gles libraries correctly linuxed against selinux.

Local builds on my 64bit Fedora 16 system using this patch now seem to work as expected.  The following test code compiles cleanly without linking errors.

gcc -lGLESv2 -x c - << EOF
#include <GLES2/gl2.h>
#include <stdio.h>
void main(void) {
printf("%s", glGetString(GL_VERSION));
}
EOF

Comment 5 Jef Spaleta 2012-04-10 22:34:15 UTC
Created attachment 576625 [details]
Updated spec file which uses the proposed patch

Comment 6 Fedora End Of Life 2012-08-07 14:45:43 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.